> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipment Inventory Allocations

> Get future Inventory Allocations by shipment Ids



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v5/inventory/shipmentInventoryAllocations
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v5/inventory/shipmentInventoryAllocations:
    post:
      tags:
        - ShipmentInventoryAllocation
      summary: Get Shipment Inventory Allocations
      description: Get future Inventory Allocations by shipment Ids
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/ShipmentInventoryAllocationRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShipmentInventoryAllocationResponse'
          description: Success
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    $ref: '#/components/schemas/ShipmentInventoryAllocationResponse'
                type: object
          description: Internal Server Error
components:
  requestBodies:
    ShipmentInventoryAllocationRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ShipmentInventoryAllocationRequest'
      description: Request to future and current inventory allocations of item
      required: true
  schemas:
    ShipmentInventoryAllocationResponse:
      description: ShipmentInventoryAllocation Response Object
      properties:
        shipments:
          $ref: '#/components/schemas/shipments'
      title: ShipmentInventoryAllocation Response
      type: object
    ShipmentInventoryAllocationRequest:
      description: ShipmentInventoryAllocation Request Object
      properties:
        shipmentIDs:
          description: Shipment Ids
          items:
            type: integer
          type: array
      required:
        - shipmentIDs
      title: ShipmentInventoryAllocation Request
      type: object
    shipments:
      additionalProperties:
        $ref: '#/components/schemas/ShipmentAllocationsResponse'
      description: Associative Map of Map<shipmentId, ShipmentAllocationsResponse>
      type: object
    ShipmentAllocationsResponse:
      description: ShipmentAllocationsResponse Object
      properties:
        currentAllocations:
          $ref: '#/components/schemas/allocationList'
        futureAllocations:
          $ref: '#/components/schemas/allocationList'
      title: ShipmentAllocationsResponse
      type: object
    allocationList:
      description: List of InventoryAllocationResponse objects
      items:
        $ref: '#/components/schemas/InventoryAllocationResponse'
      type: array
    InventoryAllocationResponse:
      description: InventoryAllocationResponse Object
      properties:
        condition:
          type: string
        date:
          format: date-time
          type: string
        futureDate:
          description: >-
            Future Date at which the inventory should be allocated against.
            Expected format '2020-09-28T12:00:00-0500'
          format: date-time
          type: string
        lotCode:
          type: string
        orderItemID:
          description: order item ID
          title: order item ID
          type: integer
        quantity:
          description: quantity
          title: quantity
          type: integer
        serialNumber:
          type: string
        state:
          description: state
          title: state
          type: string
        tags:
          $ref: '#/components/schemas/tags'
        upc:
          description: upc
          title: upc
          type: string
      title: InventoryAllocationResponse
      type: object
    tags:
      additionalProperties:
        type: string
      description: Associative Map of <String, String> for tagCategoryName => tagName
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````